Index: LMDZ6/branches/Amaury_dev/libf/phylmd/physiq_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/physiq_mod.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/physiq_mod.F90	(revision 5099)
@@ -533,47 +522,47 @@
     ! sinon thetal=theta
     !     REAL fth_thetae,fth_thetav,fth_thetal
-    REAL qx(klon,klev,nqtot)
-    REAL flxmass_w(klon,klev)
-    REAL d_u(klon,klev)
-    REAL d_v(klon,klev)
-    REAL d_t(klon,klev)
-    REAL d_qx(klon,klev,nqtot)
+    REAL qx(klon, klev, nqtot)
+    REAL flxmass_w(klon, klev)
+    REAL d_u(klon, klev)
+    REAL d_v(klon, klev)
+    REAL d_t(klon, klev)
+    REAL d_qx(klon, klev, nqtot)
     REAL d_ps(klon)
-  ! variables pour tend_to_tke
-    REAL duadd(klon,klev)
-    REAL dvadd(klon,klev)
-    REAL dtadd(klon,klev)
-
-!!   Variables moved to phys_local_var_mod
-!!    ! Variables pour le transport convectif
-!!    real da(klon,klev),phi(klon,klev,klev),mp(klon,klev)
-!!    real wght_cvfd(klon,klev)
-!!    ! Variables pour le lessivage convectif
-!!    ! RomP >>> 
-!!    real phi2(klon,klev,klev)
-!!    real d1a(klon,klev),dam(klon,klev)
-!!    real ev(klon,klev)
-!!    real clw(klon,klev),elij(klon,klev,klev)
-!!    real epmlmMm(klon,klev,klev),eplaMm(klon,klev)
-!!    ! RomP <<<
+    ! variables pour tend_to_tke
+    REAL duadd(klon, klev)
+    REAL dvadd(klon, klev)
+    REAL dtadd(klon, klev)
+
+    !!   Variables moved to phys_local_var_mod
+    !!    ! Variables pour le transport convectif
+    !!    real da(klon,klev),phi(klon,klev,klev),mp(klon,klev)
+    !!    real wght_cvfd(klon,klev)
+    !!    ! Variables pour le lessivage convectif
+    !!    ! RomP >>>
+    !!    real phi2(klon,klev,klev)
+    !!    real d1a(klon,klev),dam(klon,klev)
+    !!    real ev(klon,klev)
+    !!    real clw(klon,klev),elij(klon,klev,klev)
+    !!    real epmlmMm(klon,klev,klev),eplaMm(klon,klev)
+    !!    ! RomP <<<
     !IM definition dynamique o_trac dans phys_output_open
     !      type(ctrl_out) :: o_trac(nqtot)
 
     ! variables a une pression donnee
-    !
+
     include "declare_STDlev.h"
-    !
-    !
+
+
     include "radepsi.h"
     include "radopt.h"
-    !
-    !
+
+
     INTEGER n
     !ym      INTEGER npoints
-    !ym      PARAMETER(npoints=klon) 
-    !
+    !ym      PARAMETER(npoints=klon)
+
     INTEGER nregISCtot
-    PARAMETER(nregISCtot=1) 
-    !
+    PARAMETER(nregISCtot = 1)
+
     ! imin_debut, nbpti, jmin_debut, nbptj : parametres pour sorties
     ! sur 1 region rectangulaire y compris pour 1 point
@@ -582,36 +571,35 @@
     ! jmin_debut : indice minimum de j; nbptj : nombre de points en
     ! direction j (latitude)
-!JLD    INTEGER imin_debut, nbpti
-!JLD    INTEGER jmin_debut, nbptj 
+    !JLD    INTEGER imin_debut, nbpti
+    !JLD    INTEGER jmin_debut, nbptj
     !IM: region='3d' <==> sorties en global
     CHARACTER*3 region
-    PARAMETER(region='3d')
+    PARAMETER(region = '3d')
     LOGICAL ok_hf
-    !
+
     SAVE ok_hf
     !$OMP THREADPRIVATE(ok_hf)
 
-    INTEGER, PARAMETER :: longcles=20
+    INTEGER, PARAMETER :: longcles = 20
     REAL, SAVE :: clesphy0(longcles)
     !$OMP THREADPRIVATE(clesphy0)
-    !
+
     ! Variables propres a la physique
     INTEGER, SAVE :: itap         ! compteur pour la physique
     !$OMP THREADPRIVATE(itap)
 
-    INTEGER, SAVE :: abortphy=0   ! Reprere si on doit arreter en fin de phys
+    INTEGER, SAVE :: abortphy = 0   ! Reprere si on doit arreter en fin de phys
     !$OMP THREADPRIVATE(abortphy)
-    !
-    REAL,SAVE ::  solarlong0
+
+    REAL, SAVE :: solarlong0
     !$OMP THREADPRIVATE(solarlong0)
 
-    !
     !  Parametres de l'Orographie a l'Echelle Sous-Maille (OESM):
-    !
+
     !IM 141004     REAL zulow(klon),zvlow(klon),zustr(klon), zvstr(klon)
-    REAL zulow(klon),zvlow(klon)
-    !
-    INTEGER igwd,idx(klon),itest(klon)
-    !
+    REAL zulow(klon), zvlow(klon)
+
+    INTEGER igwd, idx(klon), itest(klon)
+
     !      REAL,allocatable,save :: run_off_lic_0(:)
     ! !$OMP THREADPRIVATE(run_off_lic_0)
@@ -619,11 +607,11 @@
     !KE43
     ! Variables liees a la convection de K. Emanuel (sb):
-    !
+
     REAL, SAVE :: bas, top             ! cloud base and top levels
     !$OMP THREADPRIVATE(bas, top)
     !------------------------------------------------------------------
     ! Upmost level reached by deep convection and related variable (jyg)
-    !
-!    INTEGER izero
+
+    !    INTEGER izero
     INTEGER k_upper_cv
     !------------------------------------------------------------------
@@ -632,5 +620,5 @@
     SAVE Ncvpaseq1
     !$OMP THREADPRIVATE(Ncvpaseq1)
-    !
+
     !==========================================================================
     !CR04.12.07: on ajoute les nouvelles variables du nouveau schema
@@ -638,25 +626,25 @@
     ! Variables li\'ees \`a la poche froide (jyg)
 
-!!    REAL mipsh(klon,klev)  ! mass flux shed by the adiab ascent at each level
-!!      Moved to phys_state_var_mod
-    !
+    !!    REAL mipsh(klon,klev)  ! mass flux shed by the adiab ascent at each level
+    !!      Moved to phys_state_var_mod
+
     REAL wape_prescr, fip_prescr
     INTEGER it_wape_prescr
     SAVE wape_prescr, fip_prescr, it_wape_prescr
     !$OMP THREADPRIVATE(wape_prescr, fip_prescr, it_wape_prescr)
-    !
+
     ! variables supplementaires de concvl
-    REAL Tconv(klon,klev)
-!!    variable moved to phys_local_var_mod
-!!    REAL sij(klon,klev,klev)
-!!    !
-!!    ! variables pour tester la conservation de l'energie dans concvl
-!!    REAL, DIMENSION(klon,klev)     :: d_t_con_sat
-!!    REAL, DIMENSION(klon,klev)     :: d_q_con_sat
-!!    REAL, DIMENSION(klon,klev)     :: dql_sat
-
-    REAL, SAVE :: alp_bl_prescr=0.
-    REAL, SAVE :: ale_bl_prescr=0.
-    REAL, SAVE :: wake_s_min_lsp=0.1
+    REAL Tconv(klon, klev)
+    !!    variable moved to phys_local_var_mod
+    !!    REAL sij(klon,klev,klev)
+    !!    !
+    !!    ! variables pour tester la conservation de l'energie dans concvl
+    !!    REAL, DIMENSION(klon,klev)     :: d_t_con_sat
+    !!    REAL, DIMENSION(klon,klev)     :: d_q_con_sat
+    !!    REAL, DIMENSION(klon,klev)     :: dql_sat
+
+    REAL, SAVE :: alp_bl_prescr = 0.
+    REAL, SAVE :: ale_bl_prescr = 0.
+    REAL, SAVE :: wake_s_min_lsp = 0.1
     !$OMP THREADPRIVATE(alp_bl_prescr,ale_bl_prescr)
     !$OMP THREADPRIVATE(wake_s_min_lsp)
@@ -667,79 +655,77 @@
     ! Variables li\'ees \`a la poche froide (jyg et rr)
 
-    INTEGER,  SAVE               :: iflag_wake_tend  ! wake: if =0, then wake state variables are
-                                                     ! updated within calwake
+    INTEGER, SAVE :: iflag_wake_tend  ! wake: if =0, then wake state variables are
+    ! updated within calwake
     !$OMP THREADPRIVATE(iflag_wake_tend)
-    INTEGER,  SAVE               :: iflag_alp_wk_cond=0 ! wake: if =0, then Alp_wk is the average lifting
-                                                        ! power provided by the wakes; else, Alp_wk is the
-                                                        ! lifting power conditionned on the presence of a 
-                                                        ! gust-front in the grid cell.
+    INTEGER, SAVE :: iflag_alp_wk_cond = 0 ! wake: if =0, then Alp_wk is the average lifting
+    ! power provided by the wakes; else, Alp_wk is the
+    ! lifting power conditionned on the presence of a
+    ! gust-front in the grid cell.
     !$OMP THREADPRIVATE(iflag_alp_wk_cond)
 
-    REAL t_w(klon,klev),q_w(klon,klev) ! temperature and moisture profiles in the wake region
-    REAL t_x(klon,klev),q_x(klon,klev) ! temperature and moisture profiles in the off-wake region
-
-    REAL wake_dth(klon,klev)        ! wake : temp pot difference
-
-    REAL wake_omgbdth(klon,klev)    ! Wake : flux of Delta_Theta
+    REAL t_w(klon, klev), q_w(klon, klev) ! temperature and moisture profiles in the wake region
+    REAL t_x(klon, klev), q_x(klon, klev) ! temperature and moisture profiles in the off-wake region
+
+    REAL wake_dth(klon, klev)        ! wake : temp pot difference
+
+    REAL wake_omgbdth(klon, klev)    ! Wake : flux of Delta_Theta
     ! transported by LS omega
-    REAL wake_dp_omgb(klon,klev)    ! Wake : vertical gradient of
+    REAL wake_dp_omgb(klon, klev)    ! Wake : vertical gradient of
     ! large scale omega
-    REAL wake_dtKE(klon,klev)       ! Wake : differential heating
+    REAL wake_dtKE(klon, klev)       ! Wake : differential heating
     ! (wake - unpertubed) CONV
-    REAL wake_dqKE(klon,klev)       ! Wake : differential moistening
+    REAL wake_dqKE(klon, klev)       ! Wake : differential moistening
     ! (wake - unpertubed) CONV
-    REAL wake_dp_deltomg(klon,klev) ! Wake : gradient vertical de wake_omg
-    REAL wake_spread(klon,klev)     ! spreading term in wake_delt
-    !
+    REAL wake_dp_deltomg(klon, klev) ! Wake : gradient vertical de wake_omg
+    REAL wake_spread(klon, klev)     ! spreading term in wake_delt
+
     !pourquoi y'a pas de save??
-    !
-!!!    INTEGER, SAVE, DIMENSION(klon)   :: wake_k
-!!!    !$OMP THREADPRIVATE(wake_k) 
-    !
+
+    !!!    INTEGER, SAVE, DIMENSION(klon)   :: wake_k
+    !!!    !$OMP THREADPRIVATE(wake_k)
+
     !jyg<
-    !cc      REAL wake_pe(klon)              ! Wake potential energy - WAPE 
+    !cc      REAL wake_pe(klon)              ! Wake potential energy - WAPE
     !>jyg
 
     REAL wake_fip_0(klon)           ! Average Front Incoming Power (unconditionned)
     REAL wake_gfl(klon)             ! Gust Front Length
-!!!    REAL wake_dens(klon)         ! moved to phys_state_var_mod
-    !
-    !
-    REAL dt_dwn(klon,klev)
-    REAL dq_dwn(klon,klev)
-    REAL M_dwn(klon,klev)
-    REAL M_up(klon,klev)
-    REAL dt_a(klon,klev)
-    REAL dq_a(klon,klev)
-    REAL d_t_adjwk(klon,klev)                !jyg
-    REAL d_q_adjwk(klon,klev)                !jyg
-    LOGICAL,SAVE :: ok_adjwk=.FALSE.
-    !$OMP THREADPRIVATE(ok_adjwk) 
-    INTEGER,SAVE :: iflag_adjwk=0            !jyg
+    !!!    REAL wake_dens(klon)         ! moved to phys_state_var_mod
+
+
+    REAL dt_dwn(klon, klev)
+    REAL dq_dwn(klon, klev)
+    REAL M_dwn(klon, klev)
+    REAL M_up(klon, klev)
+    REAL dt_a(klon, klev)
+    REAL dq_a(klon, klev)
+    REAL d_t_adjwk(klon, klev)                !jyg
+    REAL d_q_adjwk(klon, klev)                !jyg
+    LOGICAL, SAVE :: ok_adjwk = .FALSE.
+    !$OMP THREADPRIVATE(ok_adjwk)
+    INTEGER, SAVE :: iflag_adjwk = 0            !jyg
     !$OMP THREADPRIVATE(iflag_adjwk)         !jyg
-    REAL,SAVE :: oliqmax=999.,oicemax=999.
-    !$OMP THREADPRIVATE(oliqmax,oicemax) 
+    REAL, SAVE :: oliqmax = 999., oicemax = 999.
+    !$OMP THREADPRIVATE(oliqmax,oicemax)
     REAL, SAVE :: alp_offset
     !$OMP THREADPRIVATE(alp_offset)
-    REAL, SAVE :: dtcon_multistep_max=1.e6
+    REAL, SAVE :: dtcon_multistep_max = 1.e6
     !$OMP THREADPRIVATE(dtcon_multistep_max)
-    REAL, SAVE :: dqcon_multistep_max=1.e6
+    REAL, SAVE :: dqcon_multistep_max = 1.e6
     !$OMP THREADPRIVATE(dqcon_multistep_max)
 
-  
-    !
     !RR:fin declarations poches froides
     !==========================================================================
 
-    REAL ztv(klon,klev),ztva(klon,klev)
-    REAL zpspsk(klon,klev)
-    REAL ztla(klon,klev),zqla(klon,klev) 
-    REAL zthl(klon,klev)
+    REAL ztv(klon, klev), ztva(klon, klev)
+    REAL zpspsk(klon, klev)
+    REAL ztla(klon, klev), zqla(klon, klev)
+    REAL zthl(klon, klev)
 
     !cc nrlmd le 10/04/2012
 
     !--------Stochastic Boundary Layer Triggering: ALE_BL--------
-    !---Propri\'et\'es du thermiques au LCL 
-!    real zlcl_th(klon)          ! Altitude du LCL calcul\'e
+    !---Propri\'et\'es du thermiques au LCL
+    !    real zlcl_th(klon)          ! Altitude du LCL calcul\'e
     ! continument (pcon dans
     ! thermcell_main.F90)
@@ -747,28 +733,28 @@
     real w0(klon)               ! Vitesse des thermiques au LCL
     real w_conv(klon)           ! Vitesse verticale de grande \'echelle au LCL
-    real tke0(klon,klev+1)      ! TKE au d\'ebut du pas de temps
-    real therm_tke_max0(klon)   ! TKE dans les thermiques au LCL 
-    real env_tke_max0(klon)     ! TKE dans l'environnement au LCL 
+    real tke0(klon, klev + 1)      ! TKE au d\'ebut du pas de temps
+    real therm_tke_max0(klon)   ! TKE dans les thermiques au LCL
+    real env_tke_max0(klon)     ! TKE dans l'environnement au LCL
     INTEGER, SAVE :: iflag_thermcell_tke ! transtport TKE by thermals
     !$OMP THREADPRIVATE(iflag_thermcell_tke)
 
-!JLD    !---D\'eclenchement stochastique
-!JLD    integer :: tau_trig(klon)
-
-    REAL,SAVE :: random_notrig_max=1.
-    !$OMP THREADPRIVATE(random_notrig_max) 
+    !JLD    !---D\'eclenchement stochastique
+    !JLD    integer :: tau_trig(klon)
+
+    REAL, SAVE :: random_notrig_max = 1.
+    !$OMP THREADPRIVATE(random_notrig_max)
 
     !--------Statistical Boundary Layer Closure: ALP_BL--------
     !---Profils de TKE dans et hors du thermique
-    real therm_tke_max(klon,klev)   ! Profil de TKE dans les thermiques
-    real env_tke_max(klon,klev)     ! Profil de TKE dans l'environnement
+    real therm_tke_max(klon, klev)   ! Profil de TKE dans les thermiques
+    real env_tke_max(klon, klev)     ! Profil de TKE dans l'environnement
 
     !-------Activer les tendances de TKE due a l'orograp??ie---------
-     INTEGER, SAVE :: addtkeoro
-    !$OMP THREADPRIVATE(addtkeoro) 
-     REAL, SAVE :: alphatkeoro
-    !$OMP THREADPRIVATE(alphatkeoro) 
-     LOGICAL, SAVE :: smallscales_tkeoro
-    !$OMP THREADPRIVATE(smallscales_tkeoro) 
+    INTEGER, SAVE :: addtkeoro
+    !$OMP THREADPRIVATE(addtkeoro)
+    REAL, SAVE :: alphatkeoro
+    !$OMP THREADPRIVATE(alphatkeoro)
+    LOGICAL, SAVE :: smallscales_tkeoro
+    !$OMP THREADPRIVATE(smallscales_tkeoro)
 
 
@@ -777,13 +763,13 @@
 
     ! Variables locales pour la couche limite (al1):
-    !
+
     !Al1      REAL pblh(klon)           ! Hauteur de couche limite
     !Al1      SAVE pblh
     !34EK
-    !
+
     ! Variables locales:
-    !
+
     !AA
-    !AA  Pour phytrac 
+    !AA  Pour phytrac
     REAL u1(klon)             ! vents dans la premiere couche U
     REAL v1(klon)             ! vents dans la premiere couche V
@@ -792,46 +778,44 @@
     !@$$      PARAMETER (offline=.false.)
     !@$$      INTEGER physid
-    REAL frac_impa(klon,klev) ! fractions d'aerosols lessivees (impaction)
-    REAL frac_nucl(klon,klev) ! idem (nucleation)
-    ! RomP >>> 
-    REAL beta_prec_fisrt(klon,klev) ! taux de conv de l'eau cond (fisrt)
+    REAL frac_impa(klon, klev) ! fractions d'aerosols lessivees (impaction)
+    REAL frac_nucl(klon, klev) ! idem (nucleation)
+    ! RomP >>>
+    REAL beta_prec_fisrt(klon, klev) ! taux de conv de l'eau cond (fisrt)
     ! RomP <<<
 
     !IM cf FH pour Tiedtke 080604
-    REAL rain_tiedtke(klon),snow_tiedtke(klon)
-    !
+    REAL rain_tiedtke(klon), snow_tiedtke(klon)
+
     !IM 050204 END
     REAL devap(klon) ! evaporation et sa derivee
     REAL dsens(klon) ! chaleur sensible et sa derivee
 
-    !
     ! Conditions aux limites
-    !
-    !
+
+
     REAL :: day_since_equinox
     ! Date de l'equinoxe de printemps
-    INTEGER, parameter :: mth_eq=3, day_eq=21
+    INTEGER, parameter :: mth_eq = 3, day_eq = 21
     REAL :: jD_eq
 
     LOGICAL, parameter :: new_orbit = .TRUE.
 
-    !
     INTEGER lmt_pas
     SAVE lmt_pas                ! frequence de mise a jour
-    !$OMP THREADPRIVATE(lmt_pas) 
-    real zmasse(klon, nbp_lev),exner(klon, nbp_lev) 
+    !$OMP THREADPRIVATE(lmt_pas)
+    real zmasse(klon, nbp_lev), exner(klon, nbp_lev)
     !     (column-density of mass of air in a cell, in kg m-2)
-    real, parameter:: dobson_u = 2.1415e-05 ! Dobson unit, in kg m-2
+    real, parameter :: dobson_u = 2.1415e-05 ! Dobson unit, in kg m-2
 
     !IM sorties
     REAL un_jour
-    PARAMETER(un_jour=86400.)
+    PARAMETER(un_jour = 86400.)
     INTEGER itapm1 !pas de temps de la physique du(es) mois precedents
     SAVE itapm1    !mis a jour le dernier pas de temps du mois en cours
     !$OMP THREADPRIVATE(itapm1)
     !======================================================================
-    !
+
     ! Declaration des procedures appelees
-    !
+
     EXTERNAL angle     ! calculer angle zenithal du soleil
     EXTERNAL alboc     ! calculer l'albedo sur ocean
@@ -854,22 +838,22 @@
     ! moyenne globale d'1 var ponderee par l'aire de la maille (moyglo_pondaire)
     ! par la masse/airetot (moyglo_pondaima) et la vraie masse (moyglo_pondmass)
-    !
-    !
+
+
     ! !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
     ! Local variables
     ! !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
-    !
-!    REAL rhcl(klon,klev)    ! humiditi relative ciel clair
-    REAL dialiq(klon,klev)  ! eau liquide nuageuse
-    REAL diafra(klon,klev)  ! fraction nuageuse
-    REAL radocond(klon,klev)  ! eau condensee nuageuse
-    !
-    !XXX PB 
-    REAL fluxq(klon,klev, nbsrf)   ! flux turbulent d'humidite
-    REAL fluxqbs(klon,klev, nbsrf)   ! flux turbulent de neige soufflee
-    !
+
+    !    REAL rhcl(klon,klev)    ! humiditi relative ciel clair
+    REAL dialiq(klon, klev)  ! eau liquide nuageuse
+    REAL diafra(klon, klev)  ! fraction nuageuse
+    REAL radocond(klon, klev)  ! eau condensee nuageuse
+
+    !XXX PB
+    REAL fluxq(klon, klev, nbsrf)   ! flux turbulent d'humidite
+    REAL fluxqbs(klon, klev, nbsrf)   ! flux turbulent de neige soufflee
+
     !FC    REAL zxfluxt(klon, klev)
     !FC    REAL zxfluxq(klon, klev)
-    REAL zxfluxqbs(klon,klev)
+    REAL zxfluxqbs(klon, klev)
     REAL zxfluxu(klon, klev)
     REAL zxfluxv(klon, klev)
@@ -880,34 +864,34 @@
     !ym      SAVE  sollwdownclr, toplwdown, toplwdownclr
     !ym      SAVE  topsw0,toplw0,solsw0,sollw0, heat0, cool0
-    !
+
     INTEGER itaprad
     SAVE itaprad
     !$OMP THREADPRIVATE(itaprad)
-    !
-    REAL conv_q(klon,klev) ! convergence de l'humidite (kg/kg/s)
-    REAL conv_t(klon,klev) ! convergence de la temperature(K/s)
-    !
+
+    REAL conv_q(klon, klev) ! convergence de l'humidite (kg/kg/s)
+    REAL conv_t(klon, klev) ! convergence de la temperature(K/s)
+
     REAL zsav_tsol(klon)
-    !
+
     REAL dist, rmu0(klon), fract(klon)
     REAL zrmu0(klon), zfract(klon)
     REAL zdtime, zdtime1, zdtime2, zlongi
-    !
+
     REAL z_avant(klon), z_apres(klon), z_factor(klon)
     LOGICAL zx_ajustq
-    !
+
     REAL za
     REAL zx_t, zx_qs, zdelta, zcor
-    real zqsat(klon,klev)
-    !
+    real zqsat(klon, klev)
+
     INTEGER i, k, iq, nsrf, l, itr
-    !
+
     REAL t_coup
-    PARAMETER (t_coup=234.0)
+    PARAMETER (t_coup = 234.0)
 
     !ym A voir plus tard !!
     !ym      REAL zx_relief(iim,jjmp1)
     !ym      REAL zx_aire(iim,jjmp1)
-    !
+
     ! Grandeurs de sorties
     REAL s_capCL(klon)
@@ -918,8 +902,8 @@
     ! La convection n'est pas calculee tous les pas, il faut donc
     !                      sauvegarder les sorties de la convection
-    !ym      SAVE  
-    !ym      SAVE  
-    !ym      SAVE  
-    !
+    !ym      SAVE
+    !ym      SAVE
+    !ym      SAVE
+
     INTEGER itapcv, itapwk
     SAVE itapcv, itapwk
@@ -929,5 +913,5 @@
     ! Variables locales pour la convection de K. Emanuel (sb):
 
-    REAL tvp(klon,klev)       ! virtual temp of lifted parcel
+    REAL tvp(klon, klev)       ! virtual temp of lifted parcel
     CHARACTER*40 capemaxcels  !max(CAPE)
 
@@ -937,5 +921,5 @@
     ! -- convect43:
     INTEGER ntra              ! nb traceurs pour convect4.3
-    REAL dtvpdt1(klon,klev), dtvpdq1(klon,klev)
+    REAL dtvpdt1(klon, klev), dtvpdq1(klon, klev)
     REAL dplcldt(klon), dplcldr(klon)
     !?     .     condm_con(klon,klev),conda_con(klon,klev),
@@ -944,7 +928,7 @@
     ! --
     !34EK
-    !
+
     ! Variables du changement
-    !
+
     ! con: convection
     ! lsc: condensation a grande echelle (Large-Scale-Condensation)
@@ -952,26 +936,26 @@
     ! eva: evaporation de l'eau liquide nuageuse
     ! vdf: couche limite (Vertical DiFfusion)
-    !
+
     ! tendance nulles
-    REAL, dimension(klon,klev):: du0, dv0, dt0, dq0, dql0, dqi0, dqbs0
-    REAL, dimension(klon)     :: dsig0, ddens0
-    INTEGER, dimension(klon)  :: wkoccur1
+    REAL, dimension(klon, klev) :: du0, dv0, dt0, dq0, dql0, dqi0, dqbs0
+    REAL, dimension(klon) :: dsig0, ddens0
+    INTEGER, dimension(klon) :: wkoccur1
     ! tendance buffer pour appel de add_phys_tend
-    REAL, DIMENSION(klon,klev)  :: d_q_ch4_dtime
-    !
-    ! Flag pour pouvoir ne pas ajouter les tendances. 
+    REAL, DIMENSION(klon, klev) :: d_q_ch4_dtime
+
+    ! Flag pour pouvoir ne pas ajouter les tendances.
     ! Par defaut, les tendances doivente etre ajoutees et
     ! flag_inhib_tend = 0
-    ! flag_inhib_tend > 0 : tendances non ajoutees, avec un nombre 
+    ! flag_inhib_tend > 0 : tendances non ajoutees, avec un nombre
     ! croissant de print quand la valeur du flag augmente
     !!! attention, ce flag doit etre change avec prudence !!!
     INTEGER :: flag_inhib_tend = 0 !  0 is the default value
-!!    INTEGER :: flag_inhib_tend = 2
-    !
-    ! Logical switch to a bug : reseting to 0 convective variables at the 
+    !!    INTEGER :: flag_inhib_tend = 2
+
+    ! Logical switch to a bug : reseting to 0 convective variables at the
     ! begining of physiq.
     LOGICAL, SAVE :: ok_bug_cv_trac = .TRUE.
     !$OMP THREADPRIVATE(ok_bug_cv_trac)
-    !
+
     ! Logical switch to a bug : changing wake_deltat when thermals are active
     ! even when there are no wakes.
@@ -979,10 +963,9 @@
     !$OMP THREADPRIVATE(ok_bug_split_th)
 
-    ! Logical switch to a bug : modifying directly wake_deltat  by adding 
+    ! Logical switch to a bug : modifying directly wake_deltat  by adding
     ! the (w) dry adjustment tendency to wake_deltat
     LOGICAL, SAVE :: ok_bug_ajs_cv = .TRUE.
     !$OMP THREADPRIVATE(ok_bug_ajs_cv)
 
-    !
     !********************************************************
     !     declarations
@@ -990,13 +973,13 @@
     !********************************************************
     !IM 081204 END
-    !
-    REAL pen_u(klon,klev), pen_d(klon,klev)
-    REAL pde_u(klon,klev), pde_d(klon,klev)
+
+    REAL pen_u(klon, klev), pen_d(klon, klev)
+    REAL pde_u(klon, klev), pde_d(klon, klev)
     INTEGER kcbot(klon), kctop(klon), kdtop(klon)
-    !
-    REAL ratqsbas,ratqshaut,tau_ratqs
-    SAVE ratqsbas,ratqshaut,tau_ratqs
+
+    REAL ratqsbas, ratqshaut, tau_ratqs
+    SAVE ratqsbas, ratqshaut, tau_ratqs
     !$OMP THREADPRIVATE(ratqsbas,ratqshaut,tau_ratqs)
-    REAL, SAVE :: ratqsp0=50000., ratqsdp=20000.
+    REAL, SAVE :: ratqsp0 = 50000., ratqsdp = 20000.
     !$OMP THREADPRIVATE(ratqsp0, ratqsdp)
 
@@ -1010,34 +993,34 @@
     INTEGER, SAVE :: iflag_cld_th
     !$OMP THREADPRIVATE(iflag_cld_th)
-!IM logical ptconv(klon,klev)  !passe dans phys_local_var_mod
+    !IM logical ptconv(klon,klev)  !passe dans phys_local_var_mod
     !IM cf. AM 081204 BEG
-    LOGICAL ptconvth(klon,klev)
-
-    REAL picefra(klon,klev)
+    LOGICAL ptconvth(klon, klev)
+
+    REAL picefra(klon, klev)
     REAL zrel_oro(klon)
     !IM cf. AM 081204 END
-    !
+
     ! Variables liees a l'ecriture de la bande histoire physique
-    !
+
     !======================================================================
-    !
-    !
-!JLD    integer itau_w   ! pas de temps ecriture = itap + itau_phy
-    !
-    !
+
+
+    !JLD    integer itau_w   ! pas de temps ecriture = itap + itau_phy
+
+
     ! Variables locales pour effectuer les appels en serie
-    !
+
     !IM RH a 2m (la surface)
     REAL Lheat
 
     INTEGER        length
-    PARAMETER    ( length = 100 )
-    REAL tabcntr0( length       )
-    !
-!JLD    INTEGER ndex2d(nbp_lon*nbp_lat)
+    PARAMETER    (length = 100)
+    REAL tabcntr0(length)
+
+    !JLD    INTEGER ndex2d(nbp_lon*nbp_lat)
     !IM
-    !
+
     !IM AMIP2 BEG
-!JLD    REAL moyglo, mountor
+    !JLD    REAL moyglo, mountor
     !IM 141004 BEG
     REAL zustrdr(klon), zvstrdr(klon)
@@ -1053,41 +1036,41 @@
     !  REAL airedyn(nbp_lon+1,nbp_lat)
     !IM 190504 END
-!JLD    LOGICAL ok_msk
-!JLD    REAL msk(klon)
+    !JLD    LOGICAL ok_msk
+    !JLD    REAL msk(klon)
     !ym A voir plus tard
     !ym      REAL zm_wo(jjmp1, klev)
     !IM AMIP2 END
-    !
+
     REAL zx_tmp_fi2d(klon)      ! variable temporaire grille physique
-    REAL zx_tmp_fi3d(klon,klev) ! variable temporaire pour champs 3D 
-!JLD    REAL zx_tmp_2d(nbp_lon,nbp_lat)
-!JLD    REAL zx_lon(nbp_lon,nbp_lat)
-!JLD    REAL zx_lat(nbp_lon,nbp_lat)
-    !
+    REAL zx_tmp_fi3d(klon, klev) ! variable temporaire pour champs 3D
+    !JLD    REAL zx_tmp_2d(nbp_lon,nbp_lat)
+    !JLD    REAL zx_lon(nbp_lon,nbp_lat)
+    !JLD    REAL zx_lat(nbp_lon,nbp_lat)
+
     INTEGER nid_ctesGCM
     SAVE nid_ctesGCM
     !$OMP THREADPRIVATE(nid_ctesGCM)
-    !
+
     !IM 280405 BEG
     !  INTEGER nid_bilKPins, nid_bilKPave
     !  SAVE nid_bilKPins, nid_bilKPave
     !  !$OMP THREADPRIVATE(nid_bilKPins, nid_bilKPave)
-    !
-    REAL ve_lay(klon,klev) ! transport meri. de l'energie a chaque niveau vert.
-    REAL vq_lay(klon,klev) ! transport meri. de l'eau a chaque niveau vert.
-    REAL ue_lay(klon,klev) ! transport zonal de l'energie a chaque niveau vert.
-    REAL uq_lay(klon,klev) ! transport zonal de l'eau a chaque niveau vert.
-    !
-!JLD    REAL zjulian
-!JLD    SAVE zjulian
-!JLD!$OMP THREADPRIVATE(zjulian)
-
-!JLD    INTEGER nhori, nvert
-!JLD    REAL zsto
-!JLD    REAL zstophy, zout
-
-    CHARACTER (LEN=20) :: modname='physiq_mod'
+
+    REAL ve_lay(klon, klev) ! transport meri. de l'energie a chaque niveau vert.
+    REAL vq_lay(klon, klev) ! transport meri. de l'eau a chaque niveau vert.
+    REAL ue_lay(klon, klev) ! transport zonal de l'energie a chaque niveau vert.
+    REAL uq_lay(klon, klev) ! transport zonal de l'eau a chaque niveau vert.
+
+    !JLD    REAL zjulian
+    !JLD    SAVE zjulian
+    !JLD!$OMP THREADPRIVATE(zjulian)
+
+    !JLD    INTEGER nhori, nvert
+    !JLD    REAL zsto
+    !JLD    REAL zstophy, zout
+
+    CHARACTER (LEN = 20) :: modname = 'physiq_mod'
     CHARACTER*80 abort_message
-    LOGICAL, SAVE ::  ok_sync, ok_sync_omp
+    LOGICAL, SAVE :: ok_sync, ok_sync_omp
     !$OMP THREADPRIVATE(ok_sync)
     REAL date0
@@ -1095,27 +1078,27 @@
     ! essai writephys
     INTEGER fid_day, fid_mth, fid_ins
-    PARAMETER (fid_ins = 1, fid_day = 2, fid_mth = 3) 
+    PARAMETER (fid_ins = 1, fid_day = 2, fid_mth = 3)
     INTEGER prof2d_on, prof3d_on, prof2d_av, prof3d_av
     PARAMETER (prof2d_on = 1, prof3d_on = 2, prof2d_av = 3, prof3d_av = 4)
     REAL ztsol(klon)
-    REAL q2m(klon,nbsrf)  ! humidite a 2m
-    REAL fsnowerosion(klon,nbsrf) ! blowing snow flux at surface
+    REAL q2m(klon, nbsrf)  ! humidite a 2m
+    REAL fsnowerosion(klon, nbsrf) ! blowing snow flux at surface
     REAL qbsfra  ! blowing snow fraction
     !IM: t2m, q2m, ustar, u10m, v10m et t2mincels, t2maxcels
     CHARACTER*40 t2mincels, t2maxcels       !t2m min., t2m max
     CHARACTER*40 tinst, tave
-    REAL cldtaupi(klon,klev) ! Cloud optical thickness for
+    REAL cldtaupi(klon, klev) ! Cloud optical thickness for
     ! pre-industrial (pi) aerosols
 
     INTEGER :: naero
     ! Aerosol optical properties
-    CHARACTER*4, DIMENSION(naero_grp) :: rfname 
-    REAL, DIMENSION(klon,klev)     :: mass_solu_aero ! total mass
+    CHARACTER*4, DIMENSION(naero_grp) :: rfname
+    REAL, DIMENSION(klon, klev) :: mass_solu_aero ! total mass
     ! concentration
     ! for all soluble
     ! aerosols[ug/m3]
-    REAL, DIMENSION(klon,klev)     :: mass_solu_aero_pi
+    REAL, DIMENSION(klon, klev) :: mass_solu_aero_pi
     ! - " - (pre-industrial value)
-    REAL, DIMENSION(klon,klev,naero_tot) :: m_allaer
+    REAL, DIMENSION(klon, klev, naero_tot) :: m_allaer
 
     ! Parameters
@@ -1128,17 +1111,17 @@
     LOGICAL, SAVE :: aerosol_couple ! true  : calcul des aerosols dans INCA
     ! false : lecture des aerosol dans un fichier
-    !$OMP THREADPRIVATE(aerosol_couple)    
-    LOGICAL, SAVE :: chemistry_couple ! true  : use INCA chemistry O3 
+    !$OMP THREADPRIVATE(aerosol_couple)
+    LOGICAL, SAVE :: chemistry_couple ! true  : use INCA chemistry O3
     ! false : use offline chemistry O3
-    !$OMP THREADPRIVATE(chemistry_couple)    
-    INTEGER, SAVE :: flag_aerosol 
-    !$OMP THREADPRIVATE(flag_aerosol) 
+    !$OMP THREADPRIVATE(chemistry_couple)
+    INTEGER, SAVE :: flag_aerosol
+    !$OMP THREADPRIVATE(flag_aerosol)
     LOGICAL, SAVE :: flag_bc_internal_mixture
     !$OMP THREADPRIVATE(flag_bc_internal_mixture)
-    !
+
     !--STRAT AEROSOL
     INTEGER, SAVE :: flag_aerosol_strat
     !$OMP THREADPRIVATE(flag_aerosol_strat)
-    !
+
     !--INTERACTIVE AEROSOL FEEDBACK ON RADIATION
     LOGICAL, SAVE :: flag_aer_feedback
@@ -1146,13 +1129,13 @@
 
     !c-fin STRAT AEROSOL
-    !
+
     ! Declaration des constantes et des fonctions thermodynamiques
-    !
-    LOGICAL,SAVE :: first=.TRUE.
+
+    LOGICAL, SAVE :: first = .TRUE.
     !$OMP THREADPRIVATE(first)
 
     ! VARIABLES RELATED TO OZONE CLIMATOLOGIES ; all are OpenMP shared
     ! Note that pressure vectors are in Pa and in stricly ascending order
-    INTEGER,SAVE :: read_climoz                ! Read ozone climatology
+    INTEGER, SAVE :: read_climoz                ! Read ozone climatology
     !     (let it keep the default OpenMP shared attribute)
     !     Allowed values are 0, 1 and 2
@@ -1161,14 +1144,14 @@
     !     2: read two ozone climatologies, the average day and night
     !     climatology and the daylight climatology
-    INTEGER,SAVE :: ncid_climoz                ! NetCDF file identifier
+    INTEGER, SAVE :: ncid_climoz                ! NetCDF file identifier
     REAL, ALLOCATABLE, SAVE :: press_cen_climoz(:) ! Pressure levels
     REAL, ALLOCATABLE, SAVE :: press_edg_climoz(:) ! Edges of pressure intervals
     REAL, ALLOCATABLE, SAVE :: time_climoz(:)      ! Time vector
-    CHARACTER(LEN=13), PARAMETER :: vars_climoz(2) &
-                                  = ["tro3         ","tro3_daylight"]
+    CHARACTER(LEN = 13), PARAMETER :: vars_climoz(2) &
+            = ["tro3         ", "tro3_daylight"]
     ! vars_climoz(1:read_climoz): variables names in climoz file.
     ! vars_climoz(1:read_climoz-2) if read_climoz>2 (temporary)
     REAL :: ro3i ! 0<=ro3i<=360 ; required time index in NetCDF file for
-                 ! the ozone fields, old method.
+    ! the ozone fields, old method.
 
     include "YOMCST.h"
@@ -1180,5 +1163,5 @@
     include "compbl.h"
     !IM 100106 END : pouvoir sortir les ctes de la physique
-    !
+
     ! !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
     ! Declarations pour Simulateur COSP
@@ -1191,13 +1174,13 @@
     include "ini_COSP.h"
 #endif
-    real :: mr_ozone(klon,klev), phicosp(klon,klev)
+    real :: mr_ozone(klon, klev), phicosp(klon, klev)
 
     !IM stations CFMIP
     INTEGER, SAVE :: nCFMIP
     !$OMP THREADPRIVATE(nCFMIP)
-    INTEGER, PARAMETER :: npCFMIP=120
+    INTEGER, PARAMETER :: npCFMIP = 120
     INTEGER, ALLOCATABLE, SAVE :: tabCFMIP(:)
     REAL, ALLOCATABLE, SAVE :: lonCFMIP(:), latCFMIP(:)
-    !$OMP THREADPRIVATE(tabCFMIP, lonCFMIP, latCFMIP) 
+    !$OMP THREADPRIVATE(tabCFMIP, lonCFMIP, latCFMIP)
     INTEGER, ALLOCATABLE, SAVE :: tabijGCM(:)
     REAL, ALLOCATABLE, SAVE :: lonGCM(:), latGCM(:)
